
<HTML>
<HEAD>
<TITLE>DL Visualize - CRYSTAL Tutorials</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">

<center><H2> DLV CRYSTAL Tutorial - CRYSTAL06 SCF Calculations</H2></center>

<p>
This tutorial describes how to run a CRYSTAL06 SCF calculation
(<tt>crystal</tt>). As an example we shall run a calculation on MgO.
</p>

<p>
<ol>
<li> Load or create the MgO structure.
</li>
<li> If you have changed the selected version, then make sure you
     <a href="select.html">select</a> CRYSTAL06.
</li>
<li> Select <b>Calculate -> CRYSTAL -> SCF Calculation -> Single Point
    Energy</b>. This opens the following panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/panel.png"></center>
     <br>
</li>
<li> Click on the <b>Hamiltonian</b> button. The image shows the panel
     with the selections for a B3LYP calculation using the default
     Numerical DFT.
     <br><br>
     <center>
       <img src="../../../images/calcs/crystal/scf/hamiltonian.png">
     </center>
     <br>
     Now close this panel.
</li>
<li> Click on the <b>Basis Sets</b> button. This opens the panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/basis.png"></center>
     <br>
</li>
<li> We will choose a user defined basis. Select the Mg atom in the viewer 
     the atom in the viewer, then <b>Browse</b> to select the file containing
     the basis set. We will select the <tt>Mg/8-511G*</tt> basis in
     the <tt>data/CRYSTAL</tt> directory with the DLV package. The viewer
     changes the size of the Mg atom to show that it now has a basis
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/smallmg.png"></center>
     <br>
     If an SCF run results in unexpected messages about the
     unit cell not being neutral, the default charges are incorrect for
     your system and the atomic state will need to be modified
     (see <a href="../../model/props.html">Changing display properties</a>).
</li>
<li> Select a basis set for O using the same process as the previous step,
  starting with selecting the O atom in the viewer. We will
  select <tt>O/8-51G</tt>. Close the basis set panel.
</li>
<li> Click on the <b>Tolerances</b> button. This opens the panel
     <br><br>
     <center>
       <img src="../../../images/calcs/crystal/scf/tolerances.png"></center>
     <br>
     We will change the energy convergence to 6 for this calculation.
</li>
<li> Click on the <b>SCF Convergence</b> button. This opens the panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/converge.png"></center>
     <br>
     This allows the user to set the methods used to converge the calculation.
     We will use the defaults.
</li>
<li> Click on the <b>K Points</b> button. This opens the panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/kpoints.png"></center>
     <br>
     This allows the user to set the k point sampling for the calculation.
     The default values are appropriate for our example.
</li>
<li> Click on the <b>Print Options</b> button. This opens the panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/print.png"></center>
     <br>
     We will run a Mulliken population analysis at the end of the SCF.
</li>
<li> Click on the <b>Job</b> button. This opens the panel
     <br><br>
     <center><img src="../../../images/calcs/crystal/scf/job.png"></center>
     <br>
     We will run a direct SCF calculation (the default).
</li>
<li> Now select <b>Run</b> on the main SCF panel to run the calculation. This
     will popup a panel that lists the jobs, see
     <a href="../../misc/job_list.html">listing jobs</a> for a description.
     Alternatively <b>Cancel</b> will cancel the job. The <b>run this job
     without DLV</b> toggle, used with <b>Run</b> will output all the
     information required to run the job without actually starting
     the <tt>crystal</tt> executable. The sizes of the atoms in the model will
     also be restored to normal at this time.
</li>
<li> To analyse the results with the <tt>properties</tt> code you should now
  look at <a href="analyse.html">analysing calculations</a>.
</li>
</ol>
</p>

<H4> Notes for Advanced users </H4>

<p>
<ol>
<li> The Hamiltonian panel sets up the type of calculation. The main choice
     is between <b>RHF/UHF/DFT</b> calulations with support for the
     <b>CORRELAT, EXCHANGE, SPIN, B3PW, B3LYP</b> keywords.
     (These options are from section 2.3 of the CRYSTAL manual).
</li>
<li> This Basis set panel allows the user to choose basis sets (section 2.2
     of the CRYSTAL manual). Pseudopotentials are not currently supported.
     You can create your own directory of basis sets and <b>browse</b> to it in
     the same way you would for the ones included in the DLV package.
</li>
<li> The Tolerances panel contains 2 parts. The first sets the integral
     tolerances, <b>TOLINTEG</b> (from section 2.3 of the manual). The
     section sets the SCF convergence criteria, <b>TOLDEE</b>.
</li>
<li> The SCF Convergence panel provides settings for the <b>MAXCYCLE,
     FMIXING, LEVSHIFT, SMEAR</b> and <b>SPINLOCK</b> keywords (from section
     2.3 of the manual).
</li>
<li> The K Points panel sets the k point sampling (<b>SHRINK</b> keyword
     section 2.3 of the manual). The toggle at the top of the panel
     allows anisotropic shrinking factors to be entered.
</li>
<li> The Print Options panel currently supports the <b>PPAN</b> and
     <b>EXCHGENE</b> keywords.
</li>
<li> The Job panel provides access to the <b>BIESPLIT, MONSPLIT, GUESSP</b>
     and <b>GUESSF</b> keywords. It also supports access to direct SCF
     jobs via the <b>SCFDIR</b> and <b>NOMONDIR</b> keywords.
</li>
<li> If different atomic charges are set on atoms of the same type via
     then DLV will support this with the <b>CHEMOD</b> keyword.
</li>
<li> When spins are set of atoms in the structure (via <b>Edit ->
     Model -> Atom Properties</b>), DLV will support this via the
     <b>ATOMSPIN</b> keyword.
</li>
</ol>
</p>

</BODY>
</HTML>
